c
c     Second Edition
c     Numerical Analysis:
c     The Mathematics of Scientific Computing
c     D.R. Kincaid & E.W. Cheney
c     Brooks/Cole Publ., 1996
c     ISBN 0-534-33892-5
c     COPYRIGHT (c) 1996
c
c     Section 2.1
c
c     Computing an approximate value of machine precision
c
c
c     file: epsi.f
c
      print *
      print *,' Approximate value of machine precision'
      print *,' Section 2.1, Kincaid-Cheney'
      print *
      print *,' n      computed       2**(-n)'
c
      s = 1.0
c
      do 2 k=1,100
         s = 0.5*s
         t = s + 1.0
         if (t .le. 1.0) then
            s = 2.0*s
            t = 1.0/2.0**(k-1)
            print 3,k-1,s,t
            stop
         endif
 2    continue
c
 3    format (i3,2x,2(e13.6,2x))
      stop
      end
